## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Work around a circular dependency on snakemake
%bcond bootstrap 0

Name:           python-snakemake-interface-common
Version:        1.20.1
Release:        %autorelease
Summary:        Common functions and classes for Snakemake and its plugins

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-interface-common
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-interface-common-%{version}.tar.gz

BuildSystem:            pyproject
BuildOption(install):   -l snakemake_interface_common
%if %{without bootstrap}
BuildOption(generate_buildrequires): -g dev
%endif

BuildArch:      noarch

# See: [tool.pixi.feature.dev.dependencies] in pyproject.toml
BuildRequires:  %{py3_dist pytest}

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n python3-snakemake-interface-common
Summary:        %{summary}

%description -n python3-snakemake-interface-common %{common_description}


%prep -a
# Downstream-only: Remove upper SemVer bound on packaging, e.g. "packaging
# >=24.0,<26.0"; we must work with what we have, and SemVer breaks in packaging
# are unlikely to cause problems in practice.
sed -r -i 's/(packaging >=[[:alnum:].]+),<[[:alnum:].]+/\1/' pyproject.toml


%check -a
%if %{with bootstrap}
k="${k-}${k+ and }not test_snakemake_version"
%endif

%pytest -k "${k-}" -v tests/tests.py


%files -n python3-snakemake-interface-common -f %{pyproject_files}
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri Jul 04 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.20.1-1
- Update to 1.20.1 (close RHBZ#2376437)

* Mon Jun 23 2025 Packit <hello@packit.dev> - 1.19.4-1
- Update to 1.19.4 upstream release
- Resolves: rhbz#2374311
- Remove upstream’s upper-bound on the version of python-packaging
- Add bootstrap conditional to break new snakemake circular dep.

* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 1.18.0-2
- Rebuilt for Python 3.14

* Thu May 15 2025 Packit <hello@packit.dev> - 1.18.0-1
- Update to 1.18.0 upstream release
- Resolves: rhbz#2366657

* Wed May 07 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.17.4-4
- F41+: Use the provisional pyproject declarative buildsystem

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Oct 05 2024 Packit <hello@packit.dev> - 1.17.4-1
- Update to 1.17.4 upstream release
- Resolves: rhbz#2316592

* Thu Aug 15 2024 Packit <hello@packit.dev> - 1.17.3-1
- Update to 1.17.3 upstream release
- Resolves: rhbz#2305094

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.17.2-2
- Rebuilt for Python 3.13

* Fri Apr 12 2024 Packit <hello@packit.dev> - 1.17.2-1
- Update to 1.17.2 upstream release
- Resolves: rhbz#2274659

* Wed Feb 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.17.1-1
- [packit] 1.17.1 upstream release

* Thu Feb 15 2024 Packit <hello@packit.dev> - 1.16.0-1
- [packit] 1.16.0 upstream release

* Sat Feb 03 2024 Packit <hello@packit.dev> - 1.15.3-1
- [packit] 1.15.3 upstream release
- Resolves rhbz#2262505

* Wed Jan 24 2024 Packit <hello@packit.dev> - 1.15.2-1
- [packit] 1.15.2 upstream release
- Resolves rhbz#2259982

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 Packit <hello@packit.dev> - 1.15.1-1
- [packit] 1.15.1 upstream release
- Resolves rhbz#2258667

* Tue Dec 26 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.15.0-1
- Initial package (close RHBZ#2255788)
## END: Generated by rpmautospec
